#
# spec file for package apache2-mod_bw
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname mod_bw
Name:           apache2-mod_bw
Version:        0.92
Release:        5.6
Summary:        Apache2 Module to Restrict Bandwidth
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://www.ivn.cl/apache/
Source:         http://www.ivn.cl/files/source/%{modname}-%{version}.tgz
Source1:        %{modname}-suse.tar.bz2
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
Provides:       apache2-bw_mod = %{version}
Obsoletes:      apache2-bw_mod < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Apache2 module to limit bandwidth in several ways.

%prep
%setup -q -c -n %{modname}-%{version} -a1
%if %{apache_branch} >= 204
sed -i "s:remote_addr:client_addr:" mod_bw.c
%endif

%build
%{apache_apxs} -c mod_bw.c

%install
mkdir -p %{buildroot}/%{apache_libexecdir}
mkdir -p %{buildroot}/%{apache_sysconfdir}/conf.d
cp -p .libs/%{modname}.so %{buildroot}/%{apache_libexecdir}/%{modname}.so
cp mod_bw.conf %{buildroot}/%{apache_sysconfdir}/conf.d

%check
set +x
%apache_test_module_load -m bw -i mod_bw.conf
set -x

%postun
# request restart apache instanaces (which loaded bw) after apache2-mod_bw package update
if [ $1 -eq 1 ]; then
  %apache_request_restart -m bw
fi

%posttrans
# restart apache instances which have this module after zypper or rpm transaction, if not
# have restarted already in other posttrans
%apache_restart_if_needed

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/apache2/conf.d
%config(noreplace) %{_sysconfdir}/apache2/conf.d/mod_bw.conf
%doc LICENSE
%doc mod_bw.txt
%doc README_SUSE

%{apache_libexecdir}/*.so

%changelog
* Fri Dec 11 2015 pgajdos@suse.com
- %%{apache_branch} converted to number
* Wed Nov 11 2015 pgajdos@suse.com
- restart apache during upgrade
* Mon Aug 31 2015 pgajdos@suse.com
- test module with %%apache_test_module
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Tue Nov  4 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
- add changes file
- updated to 0.92; see mod_bw-0.92.txt for upstream changelog
* Sat Jun 14 2008 gbv@oxixares.com
- Make happy RPMLINT.
  - Dont remove buildroot in install proccess
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Sun May 18 2008 gbv@oxixares.com
- Obsoletes apache2-bw_mod
* Sat May 17 2008 gbv@oxixares.com
- Updated from old suse bw_mod to mod_bw 0.8
* Tue Aug 16 2005 poeml@suse.de
- initial package (0.6)
